<h3>Toast</h3>
<hr>

<p-toast [style]="{marginTop: '80px'}"></p-toast>

<p-toast [style]="{marginTop: '80px'}" position="top-left" key="tl"></p-toast>

<p-toast [style]="{marginTop: '80px'}" position="top-center" key="tc"></p-toast>

<p-toast [style]="{marginTop: '80px'}" styleClass="custom-toast" key="custom" position="bottom-center"></p-toast>

<p-toast position="center" key="c" (onClose)="onReject()" [modal]="true" [baseZIndex]="5000">
  <ng-template let-message pTemplate="message">
    <div style="text-align: center">
      <i class="pi pi-exclamation-triangle" style="font-size: 3em"></i>
      <h6>{{message.summary}}</h6>
      <p>{{message.detail}}</p>
    </div>
    <div class="ui-g ui-fluid">
      <div class="ui-g-6">
        <button type="button" pButton (click)="onConfirm()" label="Yes" class="ui-button-success"></button>
      </div>
      <div class="ui-g-6">
        <button type="button" pButton (click)="onReject()" label="No" class="ui-button-secondary"></button>
      </div>
    </div>
  </ng-template>
</p-toast>

<h6 class="first">Severities</h6>
<button type="button" pButton (click)="showSuccess()" label="Success" class="ui-button-success"></button>
<button type="button" pButton (click)="showInfo()" label="Info" class="ui-button-info"></button>
<button type="button" pButton (click)="showWarn()" label="Warn" class="ui-button-warning"></button>
<button type="button" pButton (click)="showError()" label="Error" class="ui-button-danger"></button>
<button type="button" pButton (click)="showCustom()" label="Custom" class="ui-button"></button>

<h6>Multiple</h6>
<button type="button" pButton (click)="showMultiple()" label="Multiple"></button>

<h6>Clear</h6>
<button type="button" pButton (click)="clear()" icon="pi pi-times" label="Remove All"></button>

<h6>Positions</h6>
<button type="button" pButton (click)="showTopLeft()" label="Top Left" class="ui-button-success"></button>
<button type="button" pButton (click)="showTopCenter()" label="Top Center" class="ui-button-info"></button>

<h6>Template</h6>
<button type="button" pButton (click)="showConfirm()" label="Confirm" class="ui-button-warning"></button>
